Bug 1530117 - os-collect-config is spewing a lot of useless logs
Summary: os-collect-config is spewing a lot of useless logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-collect-config
Version: 10.0 (Newton)
Hardware: All
OS: Linux
medium
medium
Target Milestone: beta
: 13.0 (Queens)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-02 05:36 UTC by Rahul Chincholkar
Modified: 2018-07-11 13:01 UTC (History)
9 users (show)

Fixed In Version: os-collect-config-8.1.1-0.20180119125828.621029a.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:40:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1691003 None None None 2018-01-02 05:37:02 UTC
OpenStack gerrit 530759 None MERGED Lower local collector log level 2020-09-17 09:36:15 UTC
RDO 11137 None rpm-master: MERGED openstack/os-collect-config-distgit: Create default local collector directory (I2a00db37e9ed681259d84ce74b5a916621518d8d... 2018-02-07 14:00:30 UTC
Red Hat Knowledge Base (Solution) 3527911 None None None 2018-07-11 13:01:09 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:41:41 UTC

Description Rahul Chincholkar 2018-01-02 05:36:03 UTC
We currently spam the logs with this:

Jan  2 00:27:12 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:27:12 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])
Jan  2 00:27:42 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:27:42 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])
Jan  2 00:28:13 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:28:13 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])
Jan  2 00:28:43 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:28:43 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])
Jan  2 00:29:13 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:29:13 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])
Jan  2 00:29:43 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:29:43 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])
Jan  2 00:30:14 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:30:14 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])
Jan  2 00:30:44 overcloud-compute-0 os-collect-config: /var/lib/os-collect-config/local-data not found. Skipping
Jan  2 00:30:44 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])


[root@overcloud-compute-0 ~]# head -n1 /var/log/messages
Dec 30 22:17:01 overcloud-compute-0 rsyslogd: [origin software="rsyslogd" swVersion="8.24.0" x-pid="727" x-info="http://www.rsyslog.com"] rsyslogd was HUPed


[root@overcloud-compute-0 ~]# tail -n1 /var/log/messages
Jan  2 00:32:15 overcloud-compute-0 os-collect-config: No local metadata found (['/var/lib/os-collect-config/local-data'])


[root@overcloud-compute-0 ~]# grep -E "No local metadata found|local-data not found" /var/log/messages |wc -l
11936

There is upstream bug relates to this issue. 
I have linked it with this bug.

Comment 6 Gurenko Alex 2018-05-02 12:25:55 UTC
Verified on puddle 2018-05-01.6

Logs looks much cleaner now.

rpm -q os-collect-config
os-collect-config-8.3.1-0.20180308131451.08bb3bd.el7ost.noarch

Comment 8 errata-xmlrpc 2018-06-27 13:40:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.